# States

States is one of the bubble ways to store temp data on the client side. Here a list of the states that you have access to

<table><thead><tr><th>State</th><th width="356.3333333333333">Description</th><th>Type</th></tr></thead><tbody><tr><td>Device status</td><td>Twilio voice client status (registering, registered, unregistered, destroyed)</td><td>text</td></tr><tr><td>Call Id</td><td>Returns active call sid</td><td>text</td></tr><tr><td>Call Status</td><td>Returns the active call status (pending, ringing, open, closed)</td><td>text</td></tr><tr><td>Muted</td><td>Returns if the active call is muted or not</td><td>yes/no</td></tr><tr><td>Incoming Call Phone Number</td><td>Incoming call phone number</td><td>text</td></tr><tr><td>Incoming Call Sid</td><td>Twilio incoming call sid</td><td>text</td></tr><tr><td>Error</td><td>Returns any errors related to the Twilio Client</td><td>text</td></tr><tr><td>Mic access status</td><td>Returns the user's browser access to microphone ( granted, denied, prompt)</td><td>text</td></tr><tr><td>Incoming Call Status</td><td>Returns the active call status (connected, disconnected, closed)</td><td>text</td></tr><tr><td>isBusy</td><td>Returns the device busy status.</td><td>yes/no</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inova.us/v1/twilio-in-browser-call-plugin/states.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
